> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 解析

ローカルまたは非公開のドキュメントをアップロードし、クリーンでLLM対応のデータに変換します。`/parse` は `multipart/form-data` でファイルのバイト列を受け取り、Markdown、JSON、HTML、リンク、画像、または要約を返します。読み順と表を保持したまま出力されます。

* PDF、DOCX、XLSX、HTML などを Markdown または構造化 JSON に変換
* Rustベースのエンジンにより、**最大5倍高速**で解析
* 1リクエストあたり **50 MB** までのファイルに対応
* ゼロデータ保持に対応

<div id="when-to-use-parse">
  ## `/parse` を使うタイミング
</div>

ソースドキュメントが**ローカルファイル**である場合、または**URL で公開されていない**場合は、`/parse` を使用します。ドキュメントを指す公開 URL がある場合は、[`/scrape`](/ja/api-reference/endpoint/scrape) を優先してください。`/scrape` は拡張子またはコンテンツタイプからファイル形式を自動判別し、同じ方法で解析します。

| ソース                                                   | エンドポイント                                             |
| ----------------------------------------------------- | --------------------------------------------------- |
| ドキュメントを指す公開 URL (例: `https://example.com/report.pdf`) | [`POST /scrape`](/ja/api-reference/endpoint/scrape) |
| ローカルファイルまたは非公開のバイト列 (PDF、DOCX、XLSX、HTML、…)            | `POST /parse` (このエンドポイント)                           |

<Tip>
  **MCP 経由で Firecrawl を使用していますか？** ローカルファイルには `firecrawl_parse` を使用してください。ローカル MCP は、`FIRECRAWL_API_URL` が設定されている場合、ファイルを直接読み取れます。リモートでホストされる MCP は、まず有効期限の短いアップロードコマンドを返し、その後、返された `uploadRef` を解析します。公開ドキュメントの URL には引き続き `/scrape` を使用してください。
</Tip>


## OpenAPI

````yaml ja/api-reference/v2-openapi.json POST /parse
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /parse:
    post:
      tags:
        - Scraping
      summary: ファイルをアップロードして解析します
      operationId: parseFile
      requestBody:
        content:
          multipart/form-data:
            encoding:
              options:
                contentType: application/json
            schema:
              properties:
                file:
                  description: >-
                    解析するファイルのバイト列です。対応拡張子:
                    .html、.htm、.pdf、.docx、.doc、.odt、.rtf、.xlsx、.xls。
                  format: binary
                  type: string
                options:
                  $ref: '#/components/schemas/ParseOptions'
              required:
                - file
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScrapeResponse'
          description: 正常なレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  code:
                    example: BAD_REQUEST
                    type: string
                  error:
                    example: Invalid multipart form-data request.
                    type: string
                  success:
                    example: false
                    type: boolean
                type: object
          description: 不正なリクエスト
        '402':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Payment required to access this resource.
                    type: string
                type: object
          description: 支払いが必要
        '429':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
                    type: string
                type: object
          description: リクエストが多すぎます
        '500':
          content:
            application/json:
              schema:
                properties:
                  code:
                    example: UNKNOWN_ERROR
                    type: string
                  error:
                    example: An unexpected error occurred on the server.
                    type: string
                  success:
                    example: false
                    type: boolean
                type: object
          description: サーバーエラー
      security:
        - bearerAuth: []
components:
  schemas:
    ParseOptions:
      description: multipart の `options` フィールドで JSON として送信する任意の解析オプションです。
      properties:
        blockAds:
          default: true
          description: 広告と Cookie ポップアップのブロックを有効にします。
          type: boolean
        excludeTags:
          description: 出力から除外するタグです。
          items:
            type: string
          type: array
        formats:
          $ref: '#/components/schemas/ParseFormats'
        headers:
          description: 追加のネットワークリクエストが必要な場合に送信するヘッダーです。
          type: object
        includeTags:
          description: 出力に含めるタグです。
          items:
            type: string
          type: array
        integration:
          description: 任意のインテグレーション識別子です。
          nullable: true
          type: string
        onlyMainContent:
          default: true
          description: ヘッダー、ナビゲーション、フッターなどを除き、ページのメインコンテンツのみを返します。
          type: boolean
        origin:
          default: api
          description: 分析とログ記録のための origin 識別子です。
          type: string
        parsers:
          default:
            - pdf
          description: '該当する場合に、ファイルパーサーの動作を制御します（例: PDF パーサーのモード）。'
          items:
            oneOf:
              - additionalProperties: false
                properties:
                  maxPages:
                    description: PDF から解析する最大ページ数です。
                    maximum: 10000
                    minimum: 1
                    type: integer
                  mode:
                    default: auto
                    description: >-
                      PDF の解析モードです。"fast": テキストのみを抽出します。"auto": テキストを優先し、必要に応じて
                      OCR にフォールバックします。"ocr": すべてのページで OCR を実行します。
                    enum:
                      - fast
                      - auto
                      - ocr
                    type: string
                  type:
                    enum:
                      - pdf
                    type: string
                required:
                  - type
                type: object
          type: array
        proxy:
          description: 解析アップロード用のプロキシモードです。`/parse` では `basic` と `auto` のみをサポートしています。
          enum:
            - basic
            - auto
          type: string
        redactPII:
          default: false
          description: >-
            返された markdown から個人を特定できる情報をマスキングします。デフォルト設定を使うには `true`
            を渡し、モード、エンティティ、置換スタイルを調整するにはオブジェクトを渡します。
          oneOf:
            - type: boolean
            - $ref: '#/components/schemas/RedactPIIOptions'
        removeBase64Images:
          default: true
          description: 出力から Base64 エンコードされた画像を削除し、alt テキストのプレースホルダーは保持します。
          type: boolean
        skipTlsVerification:
          default: true
          description: リクエスト実行時に TLS 証明書の確認をスキップします。
          type: boolean
        timeout:
          default: 30000
          description: リクエストのタイムアウト時間（ミリ秒）です。デフォルトは 30000（30 秒）です。最大値は 300000（300 秒）です。
          maximum: 300000
          type: integer
        zeroDataRetention:
          default: false
          description: >-
            true の場合、この解析に対してゼロデータ保持が有効になります。この機能を有効にするには、help@firecrawl.dev
            までお問い合わせください。
          type: boolean
      type: object
    ScrapeResponse:
      properties:
        data:
          properties:
            actions:
              description: >-
                `actions` パラメーターで指定されたアクションの結果です。`actions`
                パラメーターがリクエストで指定されている場合にのみ含まれます
              nullable: true
              properties:
                javascriptReturns:
                  description: 指定された executeJavascript アクションと同じ順序の JavaScript の戻り値。
                  items:
                    properties:
                      type:
                        type: string
                      value: {}
                    type: object
                  type: array
                pdfs:
                  description: 生成されたPDF。指定したPDFアクションと同じ順序で出力されます。
                  items:
                    type: string
                  type: array
                scrapes:
                  description: 指定されたスクレイプアクションの順序どおりにコンテンツをスクレイピングします。
                  items:
                    properties:
                      html:
                        type: string
                      url:
                        type: string
                    type: object
                  type: array
                screenshots:
                  description: 提供されたスクリーンショットアクションと同じ順序で並んだスクリーンショットのURL。
                  items:
                    format: url
                    type: string
                  type: array
              type: object
            answer:
              description: >-
                `question`フォーマットで指定した質問に対する自然言語の回答です。`formats`に`question`フォーマットオブジェクトが含まれている場合にのみ存在します。
              nullable: true
              type: string
            audio:
              description: >-
                `formats` に `audio` が含まれている場合の、抽出された MP3 音声ファイルへの署名付き URL
                です。署名付き URL は 1 時間で期限切れになります。
              nullable: true
              type: string
            branding:
              description: >-
                `branding` が `formats`
                に含まれている場合、ページから抽出されるブランディング情報です。色、フォント、タイポグラフィ、余白、コンポーネントなどが含まれます。
              nullable: true
              properties:
                animations:
                  description: アニメーションおよびトランジションの設定。
                  nullable: true
                  type: object
                colorScheme:
                  description: ページから検出されたカラースキーム。
                  enum:
                    - light
                    - dark
                  type: string
                colors:
                  description: ページから抽出されたブランドカラー。
                  nullable: true
                  properties:
                    accent:
                      description: アクセントカラー（16進数表記）。
                      type: string
                    background:
                      description: 背景色（16進数表記）。
                      type: string
                    error:
                      description: エラー／危険状態用のカラー（16進カラーコード）。
                      type: string
                    link:
                      description: リンクカラー（16進数表記）。
                      type: string
                    primary:
                      description: メインのブランドカラー（16進数表記）。
                      type: string
                    secondary:
                      description: サブのブランドカラー（16進数表記）。
                      type: string
                    success:
                      description: 成功・ポジティブ状態用のカラー（16進カラーコード）。
                      type: string
                    textPrimary:
                      description: メインテキスト色（16進数表記）。
                      type: string
                    textSecondary:
                      description: サブテキスト色（16進数表記）。
                      type: string
                    warning:
                      description: 警告状態用のカラー（16進カラーコード）。
                      type: string
                  type: object
                components:
                  description: UI コンポーネントのスタイル設定。
                  nullable: true
                  properties:
                    buttonPrimary:
                      description: プライマリボタンのスタイル設定。
                      properties:
                        background:
                          type: string
                        borderRadius:
                          type: string
                        textColor:
                          type: string
                      type: object
                    buttonSecondary:
                      description: セカンダリボタン用のスタイル設定。
                      properties:
                        background:
                          type: string
                        borderColor:
                          type: string
                        borderRadius:
                          type: string
                        textColor:
                          type: string
                      type: object
                    input:
                      description: 入力フィールド用のスタイル設定。
                      type: object
                  type: object
                fonts:
                  description: ページで使用されているフォントファミリーの配列。
                  items:
                    properties:
                      family:
                        description: フォントファミリー名。
                        type: string
                    type: object
                  nullable: true
                  type: array
                icons:
                  description: アイコン用のスタイル設定。
                  nullable: true
                  type: object
                images:
                  description: ブランド画像。
                  nullable: true
                  properties:
                    favicon:
                      description: ファビコンのURL。
                      type: string
                    logo:
                      description: ロゴ画像のURL。
                      type: string
                    ogImage:
                      description: Open Graph画像のURL。
                      type: string
                  type: object
                layout:
                  description: レイアウト設定（グリッド、ヘッダー／フッターの高さ）。
                  nullable: true
                  type: object
                logo:
                  description: メインロゴのURL。
                  nullable: true
                  type: string
                personality:
                  description: ブランドのパーソナリティ特性（トーン、エネルギー、ターゲットユーザー）。
                  nullable: true
                  type: object
                spacing:
                  description: スペーシングやレイアウトに関する設定。
                  nullable: true
                  properties:
                    baseUnit:
                      description: ピクセル単位の基準スペーシング値。
                      type: integer
                    borderRadius:
                      description: デフォルトのボーダー半径。
                      type: string
                    margins:
                      description: マージン値。
                      type: object
                    padding:
                      description: パディング値。
                      type: object
                  type: object
                typography:
                  description: 詳細なタイポグラフィ情報。
                  nullable: true
                  properties:
                    fontFamilies:
                      description: 役割ごとのフォントファミリー設定。
                      properties:
                        code:
                          description: コード／等幅フォントファミリー。
                          type: string
                        heading:
                          description: 見出し用フォントファミリー。
                          type: string
                        primary:
                          description: 主要なフォントファミリー。
                          type: string
                      type: object
                    fontSizes:
                      description: 各テキストレベル用のフォントサイズ設定。
                      properties:
                        body:
                          type: string
                        h1:
                          type: string
                        h2:
                          type: string
                        h3:
                          type: string
                      type: object
                    fontWeights:
                      description: フォントウェイト（太さ）の設定。
                      properties:
                        bold:
                          type: integer
                        light:
                          type: integer
                        medium:
                          type: integer
                        regular:
                          type: integer
                      type: object
                    lineHeights:
                      description: 各テキストタイプ用の行の高さの値。
                      properties:
                        body:
                          type: string
                        heading:
                          type: string
                      type: object
                  type: object
              type: object
            changeTracking:
              description: >-
                `formats` に `changeTracking` が含まれる場合の変更追跡情報。`changeTracking`
                フォーマットがリクエストされた場合にのみ返されます。
              nullable: true
              properties:
                changeStatus:
                  description: >-
                    2つのページバージョンを比較した結果です。`new` はこのページが以前は存在していなかったこと、`same`
                    はコンテンツに変更がないこと、`changed` はコンテンツに変更があったこと、`removed`
                    はページが削除されたことを意味します。
                  enum:
                    - new
                    - same
                    - changed
                    - removed
                  type: string
                diff:
                  description: >-
                    'git-diff' モード使用時の、変更内容の Git スタイルの差分。モードが 'git-diff'
                    に設定されている場合にのみ出力されます。
                  nullable: true
                  type: string
                json:
                  description: >-
                    「json」モード使用時のJSON比較結果。「mode」が「json」に設定されている場合にのみ出力されます。`schema`
                    で定義された型に基づき、`previous` と `current`
                    のスクレイピング結果から取得したすべてのキーとその値の一覧を出力します。例は[こちら](/features/change-tracking)を参照してください。
                  nullable: true
                  type: object
                previousScrapeAt:
                  description: 現在のページの比較対象となる前回のスクレイプのタイムスタンプ。以前のスクレイプが存在しない場合は null になります。
                  format: date-time
                  nullable: true
                  type: string
                visibility:
                  description: >-
                    現在のページ／URL の可視性を表します。`visible` は、その URL
                    がリンクやサイトマップといった自然な経路から検出されたことを意味し、`hidden` は、その URL
                    が過去のクロール時の内部メモリから検出されたことを意味します。
                  enum:
                    - visible
                    - hidden
                  type: string
              type: object
            highlights:
              description: >-
                `highlights`フォーマットで選択された関連ソーステキストです。`formats`に`highlights`フォーマットオブジェクトが含まれている場合にのみ存在します。
              nullable: true
              type: string
            html:
              description: >-
                `formats` に `html` が含まれている場合、そのページのクリーンアップ済み HTML
                です。`<script>`、`<style>`、`<noscript>`、`<meta>`、`<head>` タグを削除し、相対
                URL を絶対 URL に解決し、レスポンシブ画像の `srcset`
                を最大サイズのバージョンに解決します。`onlyMainContent`、`includeTags`、`excludeTags`
                フィルターが適用されます。
              nullable: true
              type: string
            links:
              description: '`links` が `formats` に含まれている場合のページ上のリンク一覧'
              items:
                type: string
              type: array
            markdown:
              type: string
            menu:
              description: >-
                `formats` に `menu`
                が含まれている場合にページから抽出されるメニュー情報です。店舗、通貨、セクションの一覧が含まれ、各セクションには説明、画像、価格、提供状況、食事制限タグ、カロリー、オプショングループを持つ項目が含まれます。
              nullable: true
              properties:
                confidence:
                  description: メニュー抽出の信頼度スコアです（0〜1）。
                  type: number
                currency:
                  description: 'メニューのISO 4217通貨コード（例: ''USD''）です。ページ上にその情報がある場合にのみ返されます。'
                  type: string
                isMenu:
                  description: そのページがメニューとして識別されたかどうかです。
                  type: boolean
                merchant:
                  description: そのメニューに対応する店舗です。
                  properties:
                    name:
                      description: 店舗名です。
                      type: string
                    type:
                      description: '店舗の種類（例: ''restaurant''）です。'
                      type: string
                  required:
                    - name
                  type: object
                sections:
                  description: 'メニューのセクション（例: ''Appetizers''、''Entrees''）です。'
                  items:
                    properties:
                      description:
                        description: セクションの説明です。
                        nullable: true
                        type: string
                      id:
                        description: セクションの識別子です。
                        type: string
                      items:
                        description: セクション内の項目です。
                        items:
                          properties:
                            availability:
                              description: 項目の提供状況です。
                              properties:
                                inStock:
                                  description: その項目が提供可能かどうかです。
                                  type: boolean
                                text:
                                  description: 人間が読める提供状況テキストです。
                                  nullable: true
                                  type: string
                              required:
                                - inStock
                              type: object
                            calories:
                              description: 項目のカロリー量。
                              nullable: true
                              type: number
                            description:
                              description: 項目の説明です。
                              nullable: true
                              type: string
                            dietary:
                              description: '項目の食事制限タグ（例: [''vegetarian'']）です。'
                              items:
                                type: string
                              type: array
                            id:
                              description: 項目の識別子です。
                              type: string
                            identifiers:
                              description: 項目の店舗固有の識別子。
                              properties:
                                merchantItemId:
                                  description: 店舗独自の項目ID。
                                  type: string
                              type: object
                            images:
                              description: 項目の画像です。
                              items:
                                properties:
                                  alt:
                                    description: 画像の代替テキストです。
                                    nullable: true
                                    type: string
                                  url:
                                    description: 画像URLです。
                                    type: string
                                required:
                                  - url
                                type: object
                              type: array
                            name:
                              description: 項目名です。
                              type: string
                            optionGroups:
                              description: 項目のオプション／追加項目グループ。
                              items:
                                type: object
                              type: array
                            price:
                              description: 項目の価格です。
                              properties:
                                amount:
                                  description: 価格の数値です。
                                  type: number
                                currency:
                                  description: 'ISO 4217通貨コード（例: ''USD''）です。'
                                  type: string
                                formatted:
                                  description: '表示用にフォーマットされた価格（例: ''$7.99''）です。'
                                  type: string
                              required:
                                - amount
                              type: object
                            sourceUrl:
                              description: 項目の抽出元URL。
                              nullable: true
                              type: string
                            url:
                              description: 項目の正規URL。
                              nullable: true
                              type: string
                          required:
                            - name
                          type: object
                        type: array
                      name:
                        description: セクション名です。
                        type: string
                    required:
                      - name
                      - items
                    type: object
                  type: array
                sourceUrl:
                  description: メニューの抽出元URL。
                  nullable: true
                  type: string
              required:
                - isMenu
                - sections
              type: object
            metadata:
              properties:
                '<any other metadata> ':
                  description: HTML から抽出されたその他のメタデータ。文字列または文字列配列です
                  oneOf:
                    - type: string
                    - items:
                        type: string
                      type: array
                concurrencyLimited:
                  description: このスクレイピングがTeamの同時実行数制限によりスロットルされたかどうか
                  type: boolean
                concurrencyQueueDurationMs:
                  description: >-
                    リクエストが同時実行キューで待機した時間（ミリ秒）。concurrencyLimited が true
                    の場合にのみ含まれます。
                  type: number
                contentType:
                  description: 'ページのコンテンツタイプ（MIMEタイプ）。例: text/html、application/pdf'
                  type: string
                description:
                  description: ページから抽出された説明。文字列または文字列配列のいずれかになります
                  oneOf:
                    - type: string
                    - items:
                        type: string
                      type: array
                error:
                  description: ページのエラーメッセージ
                  nullable: true
                  type: string
                keywords:
                  description: ページから抽出されたキーワード。文字列または文字列の配列です
                  oneOf:
                    - type: string
                    - items:
                        type: string
                      type: array
                language:
                  description: ページから抽出された言語。値は文字列または文字列の配列です。
                  nullable: true
                  oneOf:
                    - type: string
                    - items:
                        type: string
                      type: array
                numPages:
                  description: PDF入力の場合、解析されたページ数（パーサーの maxPages オプションで上限が設定されます）。
                  type: integer
                ogLocaleAlternate:
                  description: このページの別ロケール
                  items:
                    type: string
                  type: array
                sourceURL:
                  description: リクエストされた元の URL。リダイレクトが発生した場合、ページの最終的な URL と異なることがあります。
                  format: uri
                  type: string
                statusCode:
                  description: ページのステータスコード
                  type: integer
                title:
                  description: ページから抽出されたタイトル。文字列または文字列の配列になります
                  oneOf:
                    - type: string
                    - items:
                        type: string
                      type: array
                totalPages:
                  description: >-
                    PDF入力の場合、maxPages
                    の上限が適用される前の実際の総ページ数。判別できない場合は省略されます。totalPages が numPages
                    を上回る場合、結果は途中で切り詰められています。
                  type: integer
                url:
                  description: すべてのリダイレクトをフォローした後の、ページの最終的な URL。
                  format: uri
                  type: string
              type: object
            product:
              description: >-
                `formats`に`product`が含まれている場合に、ページから抽出される商品情報です。タイトル、ブランド、カテゴリ、説明、バリアントが含まれます。価格、在庫状況、画像は各バリアントごとに含まれます。
              nullable: true
              properties:
                brand:
                  description: 商品のブランドまたはメーカーです。
                  type: string
                category:
                  description: >-
                    商品のカテゴリです。必要に応じて、パンくずリスト形式のパス（例: 'Electronics > Audio >
                    Headphones'）で表されます。
                  type: string
                description:
                  description: 商品の説明です。
                  type: string
                title:
                  description: 商品のタイトルです。
                  type: string
                url:
                  description: 商品ページの正規URLです。
                  type: string
                variants:
                  description: '商品のバリアント（例: 色やサイズの違い）です。'
                  items:
                    properties:
                      availability:
                        description: バリアントの在庫状況です。すべてのバリアントに必ず含まれます。
                        properties:
                          inStock:
                            description: バリアントが在庫ありかどうかです。
                            type: boolean
                          text:
                            description: '人間が読みやすい在庫状況テキストです（例: ''In Stock''）。'
                            type: string
                        required:
                          - inStock
                        type: object
                      id:
                        description: バリアントの識別子です。
                        type: string
                      images:
                        description: バリアント画像です。
                        items:
                          properties:
                            alt:
                              description: 画像の代替テキストです。
                              type: string
                            url:
                              description: 画像のURLです。
                              type: string
                          required:
                            - url
                          type: object
                        type: array
                      price:
                        description: バリアントの現在価格です。
                        properties:
                          amount:
                            description: 価格の数値です。
                            type: number
                          currency:
                            description: 'ISO 4217の通貨コードです（例: ''USD''）。'
                            type: string
                          formatted:
                            description: '表示用に整形された価格です（例: ''$199.99''）。'
                            type: string
                        required:
                          - amount
                        type: object
                      sale:
                        description: バリアントのセール/割引情報です。バリアントが割引対象の場合に含まれます。
                        properties:
                          originalPrice:
                            description: バリアントの元の価格（割引前の価格）です。
                            properties:
                              amount:
                                description: 価格の数値です。
                                type: number
                              currency:
                                description: 'ISO 4217の通貨コードです（例: ''USD''）。'
                                type: string
                              formatted:
                                description: '表示用に整形された価格です（例: ''$249.99''）。'
                                type: string
                            required:
                              - amount
                            type: object
                        required:
                          - originalPrice
                        type: object
                      sku:
                        description: バリアントのSKUです。
                        type: string
                      title:
                        description: バリアントのタイトルです。
                        type: string
                      values:
                        additionalProperties:
                          type: string
                        description: 'バリアントのオプション値です（例: { "color": "Black" }）。'
                        type: object
                    required:
                      - availability
                    type: object
                  type: array
              required:
                - title
                - url
                - variants
              type: object
            rawHtml:
              description: >-
                ページから取得した、変更や加工を一切行っていない生の HTML。`formats` に `rawHtml`
                が含まれている場合に返されます。クリーニングやフィルタリングなどの処理は一切行われません。
              nullable: true
              type: string
            screenshot:
              description: >-
                `formats` に `screenshot` が含まれている場合、そのページのスクリーンショット。スクリーンショットは 24
                時間後に期限切れとなり、それ以降はダウンロードできません。
              nullable: true
              type: string
            summary:
              description: '`formats` に `summary` が含まれている場合のページ要約'
              nullable: true
              type: string
            video:
              description: >-
                `formats` に `video`
                が含まれている場合に返される、抽出された動画ファイルの署名付きURLです。署名付きURLの有効期限は1時間です。
              nullable: true
              type: string
            warning:
              description: >-
                LLM Extraction
                を使用している場合に表示されることがあります。警告メッセージによって、抽出処理で発生した問題が通知されます。
              nullable: true
              type: string
          type: object
        success:
          type: boolean
      type: object
    ParseFormats:
      default:
        - markdown
      description: >-
        `/parse` へのアップロードでサポートされる出力フォーマットです。ブラウザレンダリングのフォーマットと change tracking
        はサポートされていません。
      items:
        oneOf:
          - properties:
              type:
                enum:
                  - markdown
                type: string
            required:
              - type
            title: Markdown
            type: object
          - properties:
              type:
                enum:
                  - summary
                type: string
            required:
              - type
            title: Summary
            type: object
          - properties:
              type:
                enum:
                  - html
                type: string
            required:
              - type
            title: HTML
            type: object
          - properties:
              type:
                enum:
                  - rawHtml
                type: string
            required:
              - type
            title: Raw HTML
            type: object
          - properties:
              type:
                enum:
                  - links
                type: string
            required:
              - type
            title: Links
            type: object
          - properties:
              type:
                enum:
                  - images
                type: string
            required:
              - type
            title: Images
            type: object
          - properties:
              prompt:
                description: JSON 出力に使用するプロンプトです
                type: string
              schema:
                description: >-
                  JSON 出力に使用するスキーマです。[JSON Schema](https://json-schema.org/)
                  に準拠している必要があります。
                type: object
              type:
                enum:
                  - json
                type: string
            required:
              - type
            title: JSON
            type: object
      type: array
    RedactPIIOptions:
      additionalProperties: false
      description: PII マスキングの調整オプションです。
      properties:
        entities:
          description: マスキング対象をこれらのエンティティカテゴリに限定します。省略した場合は、対応しているすべてのエンティティがマスキングされます。
          items:
            $ref: '#/components/schemas/RedactPIIEntity'
          type: array
        mode:
          default: accurate
          description: >-
            マスキング戦略です。`accurate` はモデルのみを使用し、精度重視で最適化されています。`aggressive`
            は追加のヒューリスティックで再現率を高め、`fast` はモデル呼び出しを行わずにヒューリスティックのみを使用します。
          enum:
            - accurate
            - aggressive
            - fast
          type: string
        replaceStyle:
          default: tag
          description: >-
            `tag` は該当箇所を `<EMAIL>` のようなプレースホルダーに置き換え、`mask` は文字を `*`
            に置き換え、`remove` は該当テキストを削除します。
          enum:
            - tag
            - mask
            - remove
          type: string
      type: object
    RedactPIIEntity:
      description: Firecrawl の個人情報マスキングで対応している公開 PII エンティティカテゴリです。
      enum:
        - PERSON
        - EMAIL
        - PHONE
        - LOCATION
        - FINANCIAL
        - SECRET
      type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````